org.freedesktop.UDisks2.Block.ZRAM: UDisks Reference Manual

## org.freedesktop.UDisks2.Block.ZRAM org.freedesktop.UDisks2.Block.ZRAM — ZRAM block device |

## Methods

    Refresh         (IN  a{sv} options);
    Activate        (IN  i     priority,
                     IN  a{sv} options);
    ActivateLabeled (IN  i     priority,
                     IN  s     label,
                     IN  a{sv} options);
    Deactivate      (IN  a{sv} options);

## Properties

    Disksize        readable   t
    MaxCompStreams  readable   t
    CompAlgorithm   readable   s
    Active          readable   b
    NumReads        readable   t
    NumWrites       readable   t
    InvalidIo       readable   t
    ZeroPages       readable   t
    OrigDataSize    readable   t
    ComprDataSize   readable   t
    MemUsedTotal    readable   t

## Description

One of zram devices created by manager.

Names of the properties where changed in version 2.7.0.

Since 2.3.0

## Method Details

### The Refresh() method

    Refresh (IN  a{sv} options);

Used to refresh properties changed over time.

No additional options are currently defined.

Changed in version 2.7.0.

`IN a{sv} `options``: | Additional options.

Since 2.3.0

### The Activate() method

    Activate (IN  i     priority,
              IN  a{sv} options);

Enables zram device for paging and swapping.

No additional options are currently defined.

`IN i `priority``: | Priority of swap device.
`IN a{sv} `options``: | Additional options.

Since 2.3.0

### The ActivateLabeled() method

    ActivateLabeled (IN  i     priority,
                     IN  s     label,
                     IN  a{sv} options);

Enables zram device for paging and swapping.

No additional options are currently defined.

`IN i `priority``: | Priority of swap device.
`IN s `label``: | A label for the swap device.
`IN a{sv} `options``: | Additional options.

Since 2.3.0

### The Deactivate() method

    Deactivate (IN  a{sv} options);

Disables zram device for paging and swapping.

No additional options are currently defined.

`IN a{sv} `options``: | Additional options.

Since 2.3.0

## Property Details

### The "Disksize" property

    Disksize  readable   t

Since 2.3.0

### The "MaxCompStreams" property

    MaxCompStreams  readable   t

Since 2.3.0

### The "CompAlgorithm" property

    CompAlgorithm  readable   s

Since 2.3.0

### The "Active" property

    Active  readable   b

Since 2.3.0

### The "NumReads" property

    NumReads  readable   t

Since 2.3.0

### The "NumWrites" property

    NumWrites  readable   t

Since 2.3.0

### The "InvalidIo" property

    InvalidIo  readable   t

Since 2.3.0

### The "ZeroPages" property

    ZeroPages  readable   t

Since 2.3.0

### The "OrigDataSize" property

    OrigDataSize  readable   t

Since 2.3.0

### The "ComprDataSize" property

    ComprDataSize  readable   t

Since 2.3.0

### The "MemUsedTotal" property

    MemUsedTotal  readable   t

Since 2.3.0